Update Unit: Rent Manager

Update a unit in Rent Manager. This endpoint supports updating basic unit information, addresses, market rent, floor plan details, marketing data, and building information. Some fields require specific embeds to be enabled in Rent Manager. | Method | |---| | POST /Units |

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

unit_idstringRequired
The Propexo unique identifier for the unit

Request

This endpoint expects an object.
numberstringOptional
The unit number
notesstringOptional
Notes associated with the unit
square_feetintegerOptional
The square footage of the unit
bathroomsdoubleOptional

The number of bathrooms associated with the unit. This value is sent directly to Rent Manager as-is. Use decimals for half bathrooms.

bedroomsintegerOptional
The number of bedrooms associated with the unit
is_vacantbooleanOptional
Whether the unit is vacant
address_1stringOptional
The first address line associated with the unit
citystringOptional
The city associated with the unit
statestringOptional
The state associated with the unit
zipstringOptional
The zip code associated with the unit
rent_amount_market_in_centsintegerOptional
The market rent amount in cents for the unit

Response

Successful response
metaobject
resultobject

Errors